MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000274SoldatOtherpublic2012-12-03 14:052015-04-14 21:35
Reporterhomerofgods 
Assigned ToShoozza 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version7 SP1
Product Version1.6.3 
Target VersionFixed in Version1.6.9 
Summary0000274: Freecam while pausing (f10)
DescriptionWhen you are in freecam you can normally stop the screen from moving by pressing the 'up' key. But when you have paused with F10 or Esc you can't use 'up' key.

I use this when I record demos, especially when I want a steady freecam in a specific location of the map before the players start playing. Then I have to pause real quick, find my location, and go out of pause for a short time to press 'up'.
Steps To ReproduceSpectate a game, pause F10, try to stop the screen from moving with the 'up' key.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001779)
Bistoufly (updater)
2013-07-24 03:00

Confirmed 1.6.3.

Workaround for now: press up just before pausing
(0002341)
homerofgods (updater)
2014-10-10 14:32

Some more info on this:
When you have paused (F10) a demo you can't change player view either.
I want freely be able to move my camera while in pause, same as I would if it was not paused.

In an actual game though, it would not be good if you could spy on the other team while the game was paused (!p). So don't fix that.

- Issue History
Date Modified Username Field Change
2012-12-03 14:05 homerofgods New Issue
2013-07-24 03:00 Bistoufly Note Added: 0001779
2013-07-24 03:00 Bistoufly Status new => confirmed
2014-10-10 14:32 homerofgods Note Added: 0002341
2015-04-14 21:35 Shoozza Status confirmed => resolved
2015-04-14 21:35 Shoozza Fixed in Version => 1.6.9
2015-04-14 21:35 Shoozza Resolution open => fixed
2015-04-14 21:35 Shoozza Assigned To => Shoozza


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker